Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_SoundCard

Soundcard interface in ClanLib.
Contained in: global
Derived from: none
Derived by: none
Group: Sound (Audio Mixing)

#include <ClanLib/sound.h>

### public function member index:

### Construction:

``virtual`` | `~CL_SoundCard` | `()`;

### Attributes:

``virtual` `CL_StreamSoundProvider`*` | `get_microphone` | `()`;
``virtual` `CL_StreamSoundProvider`*` | `get_line_in` | `()`;

### Operations:

``virtual` `void`` | `stop_all` | `()`;
``virtual` `void`` | `set_global_volume` | `(`int` `volume`)`;
``virtual` `void`` | `set_global_pan` | `(`int` `pan`)`;

## Description:

CL_SoundCard is the interface to a soundcard. It is used to control the main mixer volume and other global settings. It also provides access to the microphone and line in as streamed soundproviders.

## Function Member Descriptions:

CL_SoundCard::get_line_in - Returns the streamed soundprovider representing the line in.
``virtual` `CL_StreamSoundProvider`*` `get_line_in` `()`;

CL_SoundCard::get_microphone - Returns the streamed soundprovider representing the microphone.
``virtual` `CL_StreamSoundProvider`*` `get_microphone` `()`;

CL_SoundCard::set_global_pan - Sets the main panning position on the soundcard.
``virtual` `void`` `set_global_pan` `(`int` `pan`)`;

CL_SoundCard::set_global_volume - Sets the main/mixer volume on the soundcard.
``virtual` `void`` `set_global_volume` `(`int` `volume`)`;

CL_SoundCard::stop_all - Stops all sample playbacks on the soundcard.
``virtual` `void`` `stop_all` `()`;

CL_SoundCard::~CL_SoundCard - Sound Card destructor
``virtual`` `~CL_SoundCard` `()`;

## Variable Member Descriptions:

CL_SoundCard::card_no - Card number.
``int`` ``card_no`;`

CL_SoundCard::name - Name of the soundcard.
``std::string`` ``name`;`